Host V Motion System Get Ip Config
IP configuration of the VMotion VirtualNic.
IP configuration of the VMotion VirtualNic.
Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/ipConfig
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVMotionSystem/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Responses
200
OK
{
"_typeName": "string",
"dhcp": false,
"ipAddress": "string",
"subnetMask": "string",
"ipV6Config": {
"_typeName": "string",
"ipV6Address": [
{
"_typeName": "string",
"ipAddress": "string",
"prefixLength": 0,
"origin": "string",
"dadState": "string",
"lifetime": "string",
"operation": "string"
}
],
"autoConfigurationEnabled": false,
"dhcpV6Enabled": false
}
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostVMotionSystem/{moId}/ipConfig
Virtual Infrastructure Operations
POST
Host V Motion System Deselect Vnic
POST
Host V Motion System Select Vnic
POST
Host V Motion System Set Custom Value
POST
Host V Motion System Update Ip Config
GET
Host V Motion System Get Available Field
GET
Host V Motion System Get Ip Config
GET
Host V Motion System Get Net Config
GET
Host V Motion System Get Value